// .mq4
// 
//      
#property copyright "mandorr@gmail.com"
#include <WinUser32.mqh>

void start() {
   string urrency=AccountCurrency();
   double deposit;
   double withdrawal;
   for (int i=0; i<HistoryTotal(); i++) {
      if (!OrderSelect(i,SELECT_BY_POS,MODE_HISTORY)) break;
      double openprice=OrderOpenPrice();
      double closeprice=OrderClosePrice();
      double profit=OrderProfit();
      if (openprice>0) continue;
      if (closeprice>0) continue;
      if (profit>0) deposit+=profit;
      if (profit<0) withdrawal+=-profit;
   }
   string symbol=Symbol();
   string base=StringSubstr(symbol,0,3);
   string market;
   int margin_mode=MarketInfo(symbol,MODE_MARGINCALCMODE);
   switch (margin_mode) {
      case 0 : market="Forex"  ; break;
      case 1 : market="CFD"    ; break;
      case 2 : market="Futures"; break;
      case 3 : market="Indexes"; break;
   }
   string StopOutUnit;
   if (AccountStopoutMode()==0) {StopOutUnit="%";} else {StopOutUnit=AccountCurrency();}
   double ask=MarketInfo(symbol,MODE_ASK);
   double bid=MarketInfo(symbol,MODE_BID);
   double margin_free=AccountFreeMargin();
   double margin_buy=MarketInfo(symbol,MODE_MARGINREQUIRED); if (margin_buy<0) margin_buy=0;
   double margin_sell=margin_buy; if (base!=urrency && ask>0) margin_sell=NormalizeDouble(margin_buy*bid/ask,2);
   double lots_buy =0;
   double lots_sell=0;
   if (margin_buy >0 && margin_free>0) lots_buy =margin_free/margin_buy ;
   if (margin_sell>0 && margin_free>0) lots_sell=margin_free/margin_sell;
   double lots_min=MarketInfo(symbol,MODE_MINLOT);
   double lots_max=MarketInfo(symbol,MODE_MAXLOT);
   double lots_step=MarketInfo(symbol,MODE_LOTSTEP);
   int count_buy =0; if (lots_step>0) count_buy =lots_buy /lots_step;
   int count_sell=0; if (lots_step>0) count_sell=lots_sell/lots_step;
   lots_buy =lots_step*count_buy ; if (lots_buy <lots_min) {lots_buy =0;} 
   lots_sell=lots_step*count_sell; if (lots_sell<lots_min) {lots_sell=0;} 
   double tick_value=MarketInfo(symbol,MODE_TICKVALUE);
   double swap_buy =0; if (lots_min>0) swap_buy =MarketInfo(symbol,MODE_SWAPLONG )/lots_min;
   double swap_sell=0; if (lots_min>0) swap_sell=MarketInfo(symbol,MODE_SWAPSHORT)/lots_min;
   double swap_buy_ticks =0; if (tick_value>0) swap_buy_ticks =swap_buy /tick_value;
   double swap_sell_ticks=0; if (tick_value>0) swap_sell_ticks=swap_sell/tick_value;
   if(MarketInfo(symbol,MODE_SWAPTYPE)==0){
double swap_l=MarketInfo(symbol,MODE_SWAPLONG)*MarketInfo(symbol,MODE_TICKVALUE);
}else{
 swap_l=MarketInfo(symbol,MODE_SWAPLONG)*MarketInfo(symbol,MODE_BID)*MarketInfo(symbol,MODE_TICKVALUE);
swap_l=swap_l/MarketInfo(symbol,MODE_POINT)/MarketInfo(symbol,MODE_LOTSIZE);
}
if(MarketInfo(symbol,MODE_SWAPTYPE)==0){
double swap_s=MarketInfo(symbol,MODE_SWAPSHORT)*MarketInfo(symbol,MODE_TICKVALUE);
}else{
 swap_s=MarketInfo(symbol,MODE_SWAPSHORT)*MarketInfo(symbol,MODE_BID)*MarketInfo(symbol,MODE_TICKVALUE);
swap_s=swap_s/MarketInfo(symbol,MODE_POINT)/MarketInfo(symbol,MODE_LOTSIZE);
}
   string type=""; if(IsDemo()) type="";
   string field="          ";
   string msg=""
   +": "+AccountCompany()+field
   +"\n"+"  : "+AccountName()+field
   +"\n"+" : "+type+". : "+AccountServer()+field
   +"\n"+" : "+AccountNumber()+field
   +"\n"+" : "+urrency+field
   +"\n"+": "+AccountLeverage()+field
   +"\n"+" Stop Out: "+AccountStopoutLevel()+" "+StopOutUnit+field
   +"\n"+" : "+DoubleToStr(deposit,2)+" "+urrency+field
   +"\n"+"  : "+DoubleToStr(withdrawal,2)+" "+urrency+field
   +"\n"+": "+DoubleToStr(AccountBalance(),2)+" "+urrency+field
   +"\n"+": "+DoubleToStr(AccountEquity(),2)+" "+urrency+field
   +"\n"
   +"\n"+": "+symbol+" ("+market+")"+field
   +"\n"+"   BUY : "+DoubleToStr(lots_buy,2)+field
   +"\n"+"   SELL: "+DoubleToStr(lots_sell,2)+field
   +"\n"+"  1   BUY : "+DoubleToStr(margin_buy ,2)+" "+urrency+field
   +"\n"+"  1   SELL: "+DoubleToStr(margin_sell,2)+" "+urrency+field
   +"\n"+"  1   BUY : "+DoubleToStr(swap_l,2)+" "+urrency+" ("+DoubleToStr(swap_buy_ticks,2)+" pips)"+field
   +"\n"+"  1   SELL: "+DoubleToStr(swap_s,2)+" "+urrency+" ("+DoubleToStr(swap_sell_ticks,2)+" pips)"+field
   +"\n"+"   : "+DoubleToStr(tick_value,2)+" "+urrency+" (1 pips)"+field
   +"\n"+" : "+DoubleToStr(lots_min,2)+field
   +"\n"+" : "+DoubleToStr(lots_max,2)+field
   +"\n"+"  : "+DoubleToStr(lots_step,2)+field
   +"\n"+": "+DoubleToStr(MarketInfo(symbol,MODE_POINT),MarketInfo(symbol,MODE_DIGITS))+field
   +"\n"+": "+DoubleToStr(MarketInfo(symbol,MODE_DIGITS),0)+field
   +"\n"+": "+DoubleToStr(MarketInfo(symbol,MODE_SPREAD),0)+field
   +"\n"+" : "+DoubleToStr(MarketInfo(symbol,MODE_STOPLEVEL),0)+field
   ;
   string title="     ";
   MessageBox(msg,title,MB_OK|MB_ICONINFORMATION);
}
// End